#app {
    min-height: 100vh;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex: 1;
    flex: 1;
}

.navbar {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 9999;
}

.page-content {
    min-height: 100vh;
    padding-top: 57px;
}

.modal {
    z-index: 9999;
}

.swal2-container {
    z-index: 9999;
}

.select2-dropdown {
    z-index: 9999;
}

.tooltip {
    z-index: 9999;
}

.pulse {
    animation: pulse 1s infinite;
}

.pulse2 {
    animation: pulse2 1s infinite;
}

.bg-alert-pulse {
    animation: bg-alert-pulse 1s infinite;
}

.col-form-label {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.modal .modal-dialog-scrollable .modal-content form {
    display: contents;
}

.swal2-content {
    max-height: 80vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.navbar input::-webkit-outer-spin-button, .navbar input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.navbar input[type=number] {
    -moz-appearance: textfield;
}

.td-ph-25 td, .td-ph-25 th {
    padding-top: .25rem;
    padding-bottom: .25rem;
}

.swal2-popup .select2-container {
    margin: 0;
}

.page-item.active .page-link {
    background-color: #26a69a;
    border-color: #26a69a;
}

.custom-checkbox-big, .custom-checkbox-big .custom-control-label::before, .custom-checkbox-big .custom-control-label::after {
    height: 1.55rem;
    width: 1.55rem;
}

.swal2-popup .btn-group {
    margin: 0;
}

.bg-warning-10 {
	background-color: rgba(255, 112, 67, .1) !important;
    color: #333 !important;
}

#messagesArea .cursor-pointer:hover {
    transition: all .5s;
    background-color: rgba(38, 198, 218, .2);
}

#screensaver {
    position: fixed;
    z-index: 999999;
    background-color: #000;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    display: none;
}

#screensaver img {
    position: absolute;
    bottom: 25px;
    right: 25px;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(239, 83, 80, 0);
    }
    50% {
        box-shadow: 0 0 0 2px rgba(239, 83, 80, 1);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(239, 83, 80, 0);
    }
}

@keyframes pulse2 {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes bg-alert-pulse {
    0% {
        background-color: transparent;
        color: #000;
    }

    50% {
        background-color: #ff9e7f;
        color: #fff;
    }

    100% {
        background-color: transparent;
        color: #000;
    }
}

@media only screen and (min-width: 912px) {
	.table-responsive {
		overflow: visible;
	}
}